from django.contrib import admin
from .models import Server, Config, SerialHistory


# Регистрация модели Server
@admin.register(Server)
class ServerAdmin(admin.ModelAdmin):
    list_display = ("server_id", "name", "ping", "selected")
    search_fields = ("name", "server_id")
    list_filter = ("selected", "ping")


# Регистрация модели Config
@admin.register(Config)
class ConfigAdmin(admin.ModelAdmin):
    list_display = (
        "ip",
        "location",
        "dns",
        "gateway",
        "selected_server",
        "is_connected",
        "is_activated",
    )
    search_fields = ("location", "ip")
    list_filter = ("is_connected", "is_activated")


@admin.register(SerialHistory)
class SerialAdmin(admin.ModelAdmin):
    list_display = (
        "serial_key",
        "created_at",
        "status",
        "total_days",
        "days_active",
        "suspended_at",
    )
